# Bitly

constructor(accessToken: String )(source)

Creates a new instance using an API Access Token.

#### Parameters

accessToken

The API access token.

@ JvmOverloads
constructor(properties: Properties , key: String = Constants.ENV_ACCESS_TOKEN)(source)

Creates a new instance using a properties and property key.

#### Parameters

properties

The properties containing the API Access Token.

key

The property key containing the API Access Token.

@ JvmOverloads
constructor(propertiesFilePath: Path , key: String = Constants.ENV_ACCESS_TOKEN)(source)

Creates a new instance using a properties file path and property key.

#### Parameters

propertiesFilePath

The file path of the properties containing the API Access Token.

key

The property key containing the API Access Token.

@ JvmOverloads
constructor(propertiesFile: File , key: String = Constants.ENV_ACCESS_TOKEN)(source)

Creates a new instance using a properties file and property key.

#### Parameters

propertiesFile

The properties file containing the API Access Token.

key

The property key containing the API Access Token.

constructor()(source)

Creates new instance.